<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="voyage">
            <h2><span jhiTranslate="icyTrainApp.voyage.detail.title">Voyage</span> {{voyage.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="icyTrainApp.voyage.startDate">Start Date</span></dt>
                <dd>
                    <span>{{voyage.startDate}}</span>
                </dd>
                <dt><span jhiTranslate="icyTrainApp.voyage.endDate">End Date</span></dt>
                <dd>
                    <span>{{voyage.endDate}}</span>
                </dd>
                <dt><span jhiTranslate="icyTrainApp.voyage.from">From</span></dt>
                <dd>
                    <div *ngIf="voyage.from">
                        <a [routerLink]="['/train-statione', voyage.from?.id, 'view']">{{voyage.from?.id}}</a>
                    </div>
                </dd>
                <dt><span jhiTranslate="icyTrainApp.voyage.to">To</span></dt>
                <dd>
                    <div *ngIf="voyage.to">
                        <a [routerLink]="['/train-statione', voyage.to?.id, 'view']">{{voyage.to?.id}}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/voyage', voyage.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
